AI-ML

1 - AI&MLOps Platform

Overview

SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.

본 가이드는 AI&MLOps Platform 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.

Version

VersionStatusSupported Until

OpenAPI URL

https://aimlops-platform.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1.1 - APIs

1.1.1 - Check Cluster Version

1.1.1.1 - 1.0

get /v1/aimlops-platform/clusters/{cluster_id}/check-version

Description

Check AI&MLOps Platform Cluster Version.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
stringNone
queryversion
required
Version
Example : 1.28.1
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform/clusters/{cluster_id}/check-version?version={version}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"

Example HTTP response

Response 200

{
    "result": ""
}

1.1.2 - Check Duplication AI&MLOps Platform Name

1.1.2.1 - 1.0

get /v1/aimlops-platform/check-duplication

Description

Check Duplication AI&MLOps Platform Name. (false: no duplicate value, true: duplicate value)

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
queryrelease_name
required
Release Name
Example : aiml-test
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCheckResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/aimlops-platform/check-duplication?release_name={release_name}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"

Example HTTP response

Response 200

{
    "result": ""
}

1.1.3 - Create AI&MLOps Platform

1.1.3.1 - 1.0

post /v1/aimlops-platform

Description

Create AI&MLOps Platform.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

AiMlOpsPlatformCreateWithK8sEngineRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAsyncResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"

Request body

{
    "ai_ml_ops_platform_create_request": {
        "ai_ml_ops_platform_endpoint_type": "",
        "ai_ml_ops_platform_type": "Enterprise",
        "cluster_id": "10a599e031e749b7b260868f441e862b",
        "image_id": "10a599e031e749b7b260868f441e862b",
        "initial_user_email": "example@gmail.com",
        "initial_user_password": "147@53A69a",
        "release_name": "aiml-test",
        "storage_class_name": "",
        "tags": []
    },
    "kubernetes_engine_create_request": {
        "cifs_volume_id": "",
        "cloud_logging_enabled": false,
        "k8s_version": "v1.28.1",
        "kubernetes_engine_name": "cluster-test",
        "lb_id": "",
        "private_acl_ip_resource": [],
        "public_acl_ip_address": "",
        "security_group_id_list": [
            "10a599e031e749b7b260868f441e862b"
        ],
        "subnet_id": "10a599e031e749b7b260868f441e862b",
        "volume_id": "10a599e031e749b7b260868f441e862b",
        "vpc_id": "10a599e031e749b7b260868f441e862b"
    },
    "node_pool_create_request": {
        "cluster_id": "10a599e031e749b7b260868f441e862b",
        "desired_node_count": 2,
        "image_os": "ubuntu",
        "image_os_version": "22.04",
        "is_auto_recovery": false,
        "is_auto_scale": false,
        "keypair_name": "keypair",
        "kubernetes_version": "v1.28.1",
        "max_node_count": 3,
        "min_node_count": 2,
        "name": "nodepool-test",
        "server_type_id": "s1v16m64",
        "volume_size": 104,
        "volume_type_name": "SSD"
    }
}

Example HTTP response

Response 201

{
    "project_id": "10a599e031e749b7b260868f441e862b",
    "request_id": "10a599e031e749b7b260868f441e862b",
    "resource_id": "10a599e031e749b7b260868f441e862b"
}

1.1.4 - Delete AI&MLOps Platform

1.1.4.1 - 1.0

delete /v1/aimlops-platform/{release_id}

Description

Delete AI&MLOps Platform.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathrelease_id
required
Release ID
Example : 10a599e031e749b7b260868f441e862b
stringNone
querywith_k8s
optional
With K8s Engine
Example : False
booleanFalse

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform/{release_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"

Example HTTP response

Response 200

1.1.5 - Get AI&MLOps Platform details

1.1.5.1 - 1.0

get /v1/aimlops-platform/{release_id}

Description

Get AI&MLOps Platform details.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathrelease_id
required
Release ID
Example : 10a599e031e749b7b260868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
200OKAiMlOpsPlatformDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform/{release_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"

Example HTTP response

Response 200

{
    "ai_ml_ops_platform_domain_service": "",
    "ai_ml_ops_platform_endpoint_ip_address": "",
    "ai_ml_ops_platform_endpoint_port": "",
    "ai_ml_ops_platform_endpoint_type": "",
    "ai_ml_ops_platform_type": "Enterprise",
    "cluster_id": "10a599e031e749b7b260868f441e862b",
    "cluster_name": "cluster-test",
    "cluster_state": "RUNNING",
    "created_by": "10a599e031e749b7b260868f441e862b",
    "created_dt": "2024-05-17T00:23:17Z",
    "dashboard_state": "",
    "image_id": "10a599e031e749b7b260868f441e862b",
    "image_name": "",
    "initial_user_email": "",
    "modified_by": "10a599e031e749b7b260868f441e862b",
    "modified_dt": "2024-05-17T00:23:17Z",
    "project_id": "10a599e031e749b7b260868f441e862b",
    "project_name": "",
    "release_id": "10a599e031e749b7b260868f441e862b",
    "release_name": "aiml-test",
    "release_state": "DEPLOYED",
    "storage_class_name": "",
    "version": "v1.7.1"
}

1.1.6 - List AI&MLOps Platform

1.1.6.1 - 1.0

get /v1/aimlops-platform

Description

Get List of AI&MLOps Platform.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
Size
Example : 20
any of [integer, null]20
querypage
optional
Page
Example : 0
any of [integer, null]0
querysort
optional
Sort
Example : created_dt:asc
stringcreated_dt:desc
querycreated_by
optional
Created By
Example : 10a599e031e749b7b260868f441e862b
string
queryrelease_name
optional
Release Name
Example : aiml-test
string
querycluster_name
optional
Cluster Name
Example : cluster-test
string
queryversion
optional
Version
Example : v1.7.1
string
querykubeflow_type
optional
Kubeflow Type
Example : Mini
string
querystatus
optional
Service State
Example : DEPLOYED
string

Responses

HTTP CodeDescriptionSchema
200OKAiMlOpsPlatformsListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "cluster_id": "10a599e031e749b7b260868f441e862b",
            "cluster_name": "cluster-test",
            "created_by": "10a599e031e749b7b260868f441e862b",
            "created_dt": "2024-05-17T00:23:17Z",
            "kubeflow_type": "Enterprise",
            "modified_by": "10a599e031e749b7b260868f441e862b",
            "modified_dt": "2024-05-17T00:23:17Z",
            "release_id": "10a599e031e749b7b260868f441e862b",
            "release_name": "aiml-test",
            "status": "DEPLOYED",
            "version": "v1.7.1"
        }
    ],
    "total_count": 10
}

1.1.7 - List Images

1.1.7.1 - 1.0

get /v1/aimlops-platform/images

Description

Get List of AI&MLOps Platform Images.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
Size
Example : 20
any of [integer, null]20
querypage
optional
Page
Example : 0
any of [integer, null]0
querysort
optional
Sort
Example : created_dt:asc
stringcreated_dt:desc
queryimage_name
optional
Image Name
Example :
string

Responses

HTTP CodeDescriptionSchema
200OKAiMlOpsPlatformImagesListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform/images

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "base_image": "",
            "category": "",
            "created_by": "10a599e031e749b7b260868f441e862b",
            "created_dt": "2024-05-17T00:23:17Z",
            "description": "",
            "icon_file": "",
            "icon_file_name": "",
            "image_attr": "",
            "image_id": "",
            "image_name": "",
            "modified_by": "10a599e031e749b7b260868f441e862b",
            "modified_dt": "2024-05-17T00:23:17Z",
            "os_type": "",
            "product_type": "Enterprise",
            "project_id": "10a599e031e749b7b260868f441e862b"
        }
    ],
    "total_count": 10
}

1.1.8 - List Nodes

1.1.8.1 - 1.0

get /v1/aimlops-platform/internal/clusters/{cluster_id}/nodes

Description

Get List of AI&MLOps Platform Nodes.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
stringNone
querysize
optional
Size
Example : 20
any of [integer, null]20
querypage
optional
Page
Example : 0
any of [integer, null]0
querysort
optional
Sort
Example : created_dt:asc
stringcreated_dt:desc

Responses

HTTP CodeDescriptionSchema
200OKListNodeResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform/internal/clusters/{cluster_id}/nodes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"

Example HTTP response

Response 200

{
    "count": 0,
    "links": [],
    "nodes": []
}

1.1.9 - List StorageClasses

1.1.9.1 - 1.0

get /v1/aimlops-platform/internal/clusters/{cluster_id}/storageclasses

Description

Get List of AI&MLOps Platform StorageClasses.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
200OKListStorageClassResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform/internal/clusters/{cluster_id}/storageclasses

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"

Example HTTP response

Response 200

{
    "count": 0,
    "links": [],
    "storage_classes": []
}

1.1.10 - Update AI&MLOps Platform

1.1.10.1 - 1.0

put /v1/aimlops-platform/{release_id}

Description

Update AI&MLOps Platform.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathrelease_id
required
Release ID
Example : 10a599e031e749b7b260868f441e862b
stringNone
bodybody
required

AiMlOpsPlatformUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKAsyncResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform/{release_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"

Request body

{
    "ai_ml_ops_platform_domain_service": {
        "dns_id": "acdd205d-b1d3-44e7-ab7a-429ca090e941",
        "domain_service_name": "sample.aimlopsplatform.com",
        "ip": "192.168.3.197",
        "operation_type": "CREATE | UPDATE | DELETE",
        "record_id": "8af744b9-4893-4f98-881d-4df984de7162",
        "record_name": "sample"
    },
    "ai_ml_ops_platform_endpoint_type": "Public | Private"
}

Example HTTP response

Response 200

{
    "project_id": "10a599e031e749b7b260868f441e862b",
    "request_id": "10a599e031e749b7b260868f441e862b",
    "resource_id": "10a599e031e749b7b260868f441e862b"
}

1.1.11 - Validate Cluster Namespace

1.1.11.1 - 1.0

get /v1/aimlops-platform/clusters/{cluster_id}/validate-namespaces

Description

Validate instability for AI&MLOps Platform. (whether already installed or not)

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform/clusters/{cluster_id}/validate-namespaces

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"

Example HTTP response

Response 200

{
    "result": ""
}

1.1.12 - Validate Cluster Resource Size

1.1.12.1 - 1.0

get /v1/aimlops-platform/clusters/{cluster_id}/validate-resources

Description

Validate whether Cluster Resource size is large enough or not for AI&MLOps Platform.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
stringNone
queryproduct_type
required
Product Type
Example : Enterprise
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform/clusters/{cluster_id}/validate-resources?product_type={product_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"

Example HTTP response

Response 200

{
    "result": ""
}

1.2 - Models

1.2.1 - AiMLOpsPlatformCreateRequest

NameDescriptionSchemaDefault
ai_ml_ops_platform_endpoint_type
optional
Endpoint Type
Example :
any of [string, null]
ai_ml_ops_platform_type
required
Product Type
Example : Enterprise
string
cluster_id
optional
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
any of [string, null]
image_id
required
Image ID
Example : 10a599e031e749b7b260868f441e862b
string
initial_user_email
optional
Initial User Email
Example : example@gmail.com
any of [string, null]
initial_user_password
optional
Initial User Password
Example : 147@53A69a
any of [string, null]
release_name
required
Release Name
Example : aiml-test
string
storage_class_name
optional
Storage Class Name
Example :
any of [string, null]
tags
optional
Tags
array[object]

1.2.2 - AiMlOpsPlatformCreateWithK8sEngineRequest

NameDescriptionSchemaDefault
ai_ml_ops_platform_create_request
required
AiMLOps Platform Create Request
AiMLOpsPlatformCreateRequest
kubernetes_engine_create_request
optional
Kubernetes Engine Create Request
any of [KubernetesEngineCreateRequest, null]
node_pool_create_request
optional
Nodepool Create Request
any of [NodePoolCreateRequest, null]

1.2.3 - AiMlOpsPlatformDetailResponse

NameDescriptionSchemaDefault
ai_ml_ops_platform_domain_service
optional
Domain Service
Example :
object
ai_ml_ops_platform_endpoint_ip_address
optional
Endpoint Ip Address
Example :
string
ai_ml_ops_platform_endpoint_port
optional
Endpoint Port
Example :
string
ai_ml_ops_platform_endpoint_type
optional
Endpoint Type
Example :
string
ai_ml_ops_platform_type
optional
Product Type
Example : Enterprise
string
cluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
string
cluster_name
optional
Cluster Name
Example : cluster-test
any of [string, null]
cluster_state
optional
Cluster State
Example : RUNNING
any of [string, null]
created_by
required
Created By
Example : 10a599e031e749b7b260868f441e862b
string
created_dt
required
Created Datetime
Example : 2024-05-17T00:23:17Z
string (date-time)
dashboard_state
required
Dashboard State
Example :
string
image_id
required
Image ID
Example : 10a599e031e749b7b260868f441e862b
string
image_name
required
Image Name
Example :
string
initial_user_email
required
Initial User Email
Example :
string
modified_by
optional
Modified By
Example : 10a599e031e749b7b260868f441e862b
string
modified_dt
optional
Modified Datetime
Example : 2024-05-17T00:23:17Z
string (date-time)
project_id
required
Project ID
Example : 10a599e031e749b7b260868f441e862b
string
project_name
required
Project Name
Example :
string
release_id
required
Release ID
Example : 10a599e031e749b7b260868f441e862b
string
release_name
required
Release Name
Example : aiml-test
string
release_state
required
Service State
Example : DEPLOYED
string
storage_class_name
optional
Storage Class Name
Example :
string
version
optional
Product Version
Example : v1.7.1
string

1.2.4 - AiMlOpsPlatformDomainServiceReuqest

NameDescriptionSchemaDefault
dns_id
optional
DNS ID
Example : acdd205d-b1d3-44e7-ab7a-429ca090e941
any of [string, null]
domain_service_name
optional
Domain Service Name
Example : sample.aimlopsplatform.com
any of [string, null]
ip
optional
IP
Example : 192.168.3.197
any of [string, null]
operation_type
optional
Operation Type
Example : CREATE | UPDATE | DELETE
any of [string, null]
record_id
optional
Record ID
Example : 8af744b9-4893-4f98-881d-4df984de7162
any of [string, null]
record_name
optional
Record Name
Example : sample
any of [string, null]

1.2.5 - AiMlOpsPlatformImagesListResponse

NameDescriptionSchemaDefault
contents
required
Contents
array[AiMlOpsPlatformImagesResponse]
total_count
required
Total Count
Example : 10
integer

1.2.6 - AiMlOpsPlatformImagesResponse

NameDescriptionSchemaDefault
base_image
optional
Base Image
Example :
any of [string, null]
category
optional
Category
Example :
any of [string, null]
created_by
optional
Created By
Example : 10a599e031e749b7b260868f441e862b
any of [string, null]
created_dt
optional
Created Datetime
Example : 2024-05-17T00:23:17Z
string (date-time)
description
optional
Description
Example :
any of [string, null]
icon_file
optional
Icon File
Example :
any of [string, null]
icon_file_name
optional
Icon File Name
Example :
any of [string, null]
image_attr
optional
Image Attribute
Example :
object
image_id
optional
Image ID
Example :
any of [string, null]
image_name
optional
Image Name
Example :
any of [string, null]
modified_by
optional
Modified By
Example : 10a599e031e749b7b260868f441e862b
any of [string, null]
modified_dt
optional
Modified Datetime
Example : 2024-05-17T00:23:17Z
string (date-time)
os_type
optional
OS Type
Example :
any of [string, null]
product_type
optional
Product Type
Example : Enterprise
any of [string, null]
project_id
optional
Project ID
Example : 10a599e031e749b7b260868f441e862b
any of [string, null]

1.2.7 - AiMlOpsPlatformsListResponse

NameDescriptionSchemaDefault
contents
required
Contents
array[KubeflowResponse]
total_count
required
Total Count
Example : 10
integer

1.2.8 - AiMlOpsPlatformUpdateRequest

NameDescriptionSchemaDefault
ai_ml_ops_platform_domain_service
optional
Domain Service
any of [AiMlOpsPlatformDomainServiceReuqest, null]
ai_ml_ops_platform_endpoint_type
optional
Endpoint Type
Example : Public | Private
any of [string, null]

1.2.9 - AsyncResponse

NameDescriptionSchemaDefault
project_id
required
Project ID
Example : 10a599e031e749b7b260868f441e862b
string
request_id
required
Request ID
Example : 10a599e031e749b7b260868f441e862b
string
resource_id
required
Resource ID
Example : 10a599e031e749b7b260868f441e862b
string

1.2.10 - CheckResponse

NameDescriptionSchemaDefault
result
required
Result
Example :
boolean

1.2.11 - KubeflowResponse

NameDescriptionSchemaDefault
cluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
string
cluster_name
optional
Cluster Name
Example : cluster-test
any of [string, null]
created_by
required
Created By
Example : 10a599e031e749b7b260868f441e862b
string
created_dt
required
Created Datetime
Example : 2024-05-17T00:23:17Z
string (date-time)
kubeflow_type
required
Product Type
Example : Enterprise
string
modified_by
optional
Modified By
Example : 10a599e031e749b7b260868f441e862b
string
modified_dt
optional
Modified Datetime
Example : 2024-05-17T00:23:17Z
string (date-time)
release_id
required
Release ID
Example : 10a599e031e749b7b260868f441e862b
string
release_name
required
Release Name
Example : aiml-test
string
status
required
Service State
Example : DEPLOYED
string
version
required
Product Version
Example : v1.7.1
string

1.2.12 - KubernetesEngineCreateRequest

NameDescriptionSchemaDefault
cifs_volume_id
optional
Cifs Volume ID
Example :
any of [string, null]
cloud_logging_enabled
optional
Cloud Logging Enabled
Example : False
boolean
k8s_version
required
Kubernetes Version
Example : v1.28.1
string
kubernetes_engine_name
required
Cluster Name
Example : cluster-test
Pattern : ^[a-z][a-z0-9\-]*[a-z0-9]$
Minimum length : 3
Maximum length : 30
string
lb_id
optional
Load Balancer ID
Example :
any of [string, null]
private_acl_ip_resource
optional
Private Acl Ip Resource
array[object]
public_acl_ip_address
optional
Public Acl Ip Address
Example :
any of [string, null]
security_group_id_list
required
List Of Security Group ID
Example : ['10a599e031e749b7b260868f441e862b']
array[string]
subnet_id
required
Subnet ID
Example : 10a599e031e749b7b260868f441e862b
string
volume_id
required
Volume ID
Example : 10a599e031e749b7b260868f441e862b
string
vpc_id
required
VPC ID
Example : 10a599e031e749b7b260868f441e862b
string

1.2.13 - ListNodeResponse

NameDescriptionSchemaDefault
count
optional
count
Example : 0
integer
links
optional
links
array[object]
nodes
optional
nodes
array[NodeResponse]

1.2.14 - ListStorageClassResponse

NameDescriptionSchemaDefault
count
optional
count
Example : 0
integer
links
optional
links
array[object]
storage_classes
optional
storage_classes
array[StorageClassResponse]

1.2.15 - NodePoolCreateRequest

NameDescriptionSchemaDefault
cluster_id
optional
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
string
desired_node_count
optional
Desired Node Count
Example : 2
any of [integer, null]
image_os
required
Image OS
Example : ubuntu
string
image_os_version
required
Image OS Version
Example : 22.04
string
is_auto_recovery
optional
Is Auto Recovery
Example : False
boolean
is_auto_scale
optional
Is Auto Scale
Example : False
boolean
keypair_name
required
Keypair Name
Example : keypair
string
kubernetes_version
optional
Kubernetes Version
Example : v1.28.1
string
max_node_count
optional
Max Node Count
Example : 3
any of [integer, null]
min_node_count
optional
Min Node Count
Example : 2
any of [integer, null]
name
required
Nodepool Name
Example : nodepool-test
string
server_type_id
required
Server Type ID
Example : s1v16m64
string
volume_size
required
Volume Size
Example : 104
integer
volume_type_name
required
Volume Type Name
Example : SSD
string

1.2.16 - NodeResponse

NameDescriptionSchemaDefault
age
optional
age
Example :
string
cluster_id
optional
cluster_id
Example :
string
container_version
optional
container_version
Example :
string
created_at
optional
created_at
Example :
string
external_ip_address
optional
external_ip_address
Example :
any of [string, null]
gpu_name
optional
gpu_name
Example :
any of [string, null]
ip
optional
ip
Example :
string
kernel_version
optional
kernel_version
Example :
string
kubernetes_version
optional
kubernetes_version
Example :
string
name
optional
name
Example :
string
node_capacities
optional
node_capacities
array[object]
node_status
optional
node_status
Example :
string
number_of_allocated_pods
optional
number_of_allocated_pods
Example :
string
number_of_gpu
optional
number_of_gpu
Example : 0
integer
os_image
optional
os_image
Example :
string
uid
optional
uid
Example :
string

1.2.17 - StorageClassResponse

NameDescriptionSchemaDefault
age
optional
age
Example :
string
allow_volume_expansion
optional
allow_volume_expansion
Example :
string
cluster_id
optional
cluster_id
Example :
string
created_at
optional
created_at
Example :
string
default_class
optional
default_class
Example :
string
name
optional
name
Example :
string
provisioner
optional
provisioner
Example :
string
pv_reclaim_policy
optional
pv_reclaim_policy
Example :
string
uid
optional
uid
Example :
string
volume_binding_mode
optional
volume_binding_mode
Example :
string

2 - Cloud ML

Overview

SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.

본 가이드는 Cloud ML 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.

Version

VersionStatusSupported Until

OpenAPI URL

https://cloud-ml.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

2.1 - APIs

2.1.1 - CheckDuplicationNameAndDomainName

2.1.1.1 - 1.0

get /v1/cloud-ml/check-duplication

Description

check duplication name and domain name(Please use either the ’name’ or ‘domain_name’ query parameter.)

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
headeraccept
optional
Accept
Example : application/json
stringapplication/json
headercontent_type
optional
Content-Type
Example : application/json
stringapplication/json
queryname
optional
name
Example :
stringNone
querydomain_name
optional
Domain Name
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCloudMLCheckDuplicationResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-ml/check-duplication

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloud-ml 1.0"

Example HTTP response

Response 200

{
    "result": false
}

2.1.2 - CloudMLClusterCheckEstimate

2.1.2.1 - 1.0

get /v1/cloud-ml/clusters/{cluster_id}/estimate

Description

cloud ml cluster estimate

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
headeraccept
optional
Accept
Example : application/json
stringapplication/json
headercontent_type
optional
Content-Type
Example : application/json
stringapplication/json
pathcluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
stringNone
queryuse_copilot
optional
Use Copilot
Example : False
booleanFalse

Responses

HTTP CodeDescriptionSchema
200OKCloudMLClusterEstimateResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-ml/clusters/{cluster_id}/estimate

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloud-ml 1.0"

Example HTTP response

Response 200

{
    "analytics": {
        "cpu": "",
        "gpu": "",
        "memory": ""
    },
    "application": {
        "cpu": "",
        "memory": ""
    },
    "copilot": {}
}

2.1.3 - CloudMLImages

2.1.3.1 - 1.0

get /v1/cloud-ml/images

Description

cloud ml images

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
headeraccept
optional
Accept
Example : application/json
stringapplication/json
headercontent_type
optional
Content-Type
Example : application/json
stringapplication/json

Responses

HTTP CodeDescriptionSchema
200OKImageVersionsResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-ml/images

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloud-ml 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "copilot_enabled": "",
            "display_version": "",
            "image_id": "",
            "image_name": "",
            "k8s_version": ""
        }
    ],
    "total_count": ""
}

2.1.4 - ClusterCheckReleasable

2.1.4.1 - 1.0

get /v1/cloud-ml/clusters/{cluster_id}/check-releasable

Description

cluster check releasable

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
headeraccept
optional
Accept
Example : application/json
stringapplication/json
headercontent_type
optional
Content-Type
Example : application/json
stringapplication/json
pathcluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCloudMLClusterCheckReleasableResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-ml/clusters/{cluster_id}/check-releasable

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloud-ml 1.0"

Example HTTP response

Response 200

{
    "exceptions": [],
    "result": true
}

2.1.5 - ClusterProduct

2.1.5.1 - 1.0

get /v1/cloud-ml/clusters/{cluster_id}

Description

cluster product

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
headeraccept
optional
Accept
Example : application/json
stringapplication/json
headercontent_type
optional
Content-Type
Example : application/json
stringapplication/json
pathcluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCloudMLClusterProductsResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-ml/clusters/{cluster_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloud-ml 1.0"

Example HTTP response

Response 200

{
    "cloud_ml": {},
    "cloud_ml_common": {}
}

2.1.6 - CreateCloudML

2.1.6.1 - 1.0

post /v1/cloud-ml

Description

create cloud ML

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
headeraccept
optional
Accept
Example : application/json
stringapplication/json
headercontent_type
optional
Content-Type
Example : application/json
stringapplication/json
bodybody
required

CloudMLRequest

Responses

HTTP CodeDescriptionSchema
200OKAsyncResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-ml

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloud-ml 1.0"

Request body

{
    "analytics_resource": {
        "cpu": 0,
        "gpu": "",
        "memory": 0
    },
    "application_resource": {
        "cpu": 0,
        "memory": 0
    },
    "cloud_ml_name": "aiml-test",
    "cluster_id": "10a599e031e749b7b260868f441e862b",
    "copilot": {
        "cpu": 0,
        "gpu": "",
        "memory": 0
    },
    "custom_registry_access_key": "10a599e031e749b7b260868f441e862b",
    "custom_registry_access_project_id": "10a599e031e749b7b260868f441e862b",
    "custom_registry_access_region": "10a599e031e749b7b260868f441e862b",
    "custom_registry_access_secret_key": "10a599e031e749b7b260868f441e862b",
    "custom_registry_host": "10a599e031e749b7b260868f441e862b",
    "description": "147@53A69a",
    "domain_name": "147@53A69a",
    "endpoint_type": "147@53A69a",
    "image_id": "10a599e031e749b7b260868f441e862b",
    "product_group_id": "10a599e031e749b7b260868f441e862b",
    "tags": [],
    "use_copilot": true
}

Example HTTP response

Response 200

{
    "project_id": "10a599e031e749b7b260868f441e862b",
    "request_id": "10a599e031e749b7b260868f441e862b",
    "resource_id": "10a599e031e749b7b260868f441e862b"
}

2.1.7 - DeleteCloudML

2.1.7.1 - 1.0

delete /v1/cloud-ml/{cloud_ml_id}

Description

delete cloud ML

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
headeraccept
optional
Accept
Example : application/json
stringapplication/json
headercontent_type
optional
Content-Type
Example : application/json
stringapplication/json
pathcloud_ml_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/cloud-ml/{cloud_ml_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloud-ml 1.0"

Example HTTP response

Response 202

2.1.8 - ShowCloudML

2.1.8.1 - 1.0

get /v1/cloud-ml/{cloud_ml_id}

Description

get cloud ML

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
headeraccept
optional
Accept
Example : application/json
stringapplication/json
headercontent_type
optional
Content-Type
Example : application/json
stringapplication/json
pathcloud_ml_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCloudMLDetailResponse
400Bad RequestCloudMLExceptionResponse
401UnauthorizedCloudMLExceptionResponse
404Not FoundCloudMLExceptionResponse

Example HTTP request

Request path

/v1/cloud-ml/{cloud_ml_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloud-ml 1.0"

Example HTTP response

Response 200

{
    "cloud_ml_id": "10a599e031e749b7b260868f441e862b",
    "cloud_ml_name": "aiml-test",
    "cloud_ml_state": "DEPLOYED",
    "cluster_id": "10a599e031e749b7b260868f441e862b",
    "cluster_name": "cluster-test",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "copilot_enabled": false,
    "created_by": "10a599e031e749b7b260868f441e862b",
    "created_dt": "2024-05-17T00:23:17Z",
    "custom_registry_access_key": "aiml-test",
    "custom_registry_host": "aiml-test",
    "description": "aiml-test",
    "display_version": "22.04",
    "domain_name": "aiml-test",
    "endpoint_ip_address": "aiml-test",
    "endpoint_type": "private",
    "image_id": "10a599e031e749b7b260868f441e862b",
    "image_name": "aiml-test",
    "modified_by": "10a599e031e749b7b260868f441e862b",
    "modified_dt": "2024-05-17T00:23:17Z",
    "namespace_name": "aiml-test",
    "product_group_id": "10a599e031e749b7b260868f441e862b",
    "project_id": "10a599e031e749b7b260868f441e862b",
    "request_id": "10a599e031e749b7b260868f441e862b",
    "resource_limit_text": "aiml-test",
    "resource_request_text": "aiml-test",
    "storage_class_name": "aiml-test"
}

2.1.9 - UpdateCloudML

2.1.9.1 - 1.0

put /v1/cloud-ml/{cloud_ml_id}

Description

update cloud ML

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
headeraccept
optional
Accept
Example : application/json
stringapplication/json
headercontent_type
optional
Content-Type
Example : application/json
stringapplication/json
pathcloud_ml_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
stringNone
bodybody
required

CloudMLUpdateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCloudMLDetailResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-ml/{cloud_ml_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloud-ml 1.0"

Request body

{
    "description": "147@53A69a"
}

Example HTTP response

Response 202

{
    "cloud_ml_id": "10a599e031e749b7b260868f441e862b",
    "cloud_ml_name": "aiml-test",
    "cloud_ml_state": "DEPLOYED",
    "cluster_id": "10a599e031e749b7b260868f441e862b",
    "cluster_name": "cluster-test",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "copilot_enabled": false,
    "created_by": "10a599e031e749b7b260868f441e862b",
    "created_dt": "2024-05-17T00:23:17Z",
    "custom_registry_access_key": "aiml-test",
    "custom_registry_host": "aiml-test",
    "description": "aiml-test",
    "display_version": "22.04",
    "domain_name": "aiml-test",
    "endpoint_ip_address": "aiml-test",
    "endpoint_type": "private",
    "image_id": "10a599e031e749b7b260868f441e862b",
    "image_name": "aiml-test",
    "modified_by": "10a599e031e749b7b260868f441e862b",
    "modified_dt": "2024-05-17T00:23:17Z",
    "namespace_name": "aiml-test",
    "product_group_id": "10a599e031e749b7b260868f441e862b",
    "project_id": "10a599e031e749b7b260868f441e862b",
    "request_id": "10a599e031e749b7b260868f441e862b",
    "resource_limit_text": "aiml-test",
    "resource_request_text": "aiml-test",
    "storage_class_name": "aiml-test"
}

2.2 - Models

2.2.1 - AnalyticsEstimateResponse

NameDescriptionSchemaDefault
cpu
required
CPU Usage
Example :
integer
gpu
required
GPU
Example :
any of [string, null]
memory
required
CPU Usage
Example :
integer

2.2.2 - ApplicationEstimateResponse

NameDescriptionSchemaDefault
cpu
required
CPU Usage
Example :
integer
memory
required
CPU Usage
Example :
integer

2.2.3 - AsyncResponse

NameDescriptionSchemaDefault
project_id
required
Project ID
Example : 10a599e031e749b7b260868f441e862b
string
request_id
required
Request ID
Example : 10a599e031e749b7b260868f441e862b
string
resource_id
required
Resource ID
Example : 10a599e031e749b7b260868f441e862b
string

2.2.4 - CloudMLCheckDuplicationResponse

NameDescriptionSchemaDefault
result
optional
Result
Example : False
boolean

2.2.5 - CloudMLClusterCheckReleasableException

NameDescriptionSchemaDefault
default_message
required
Default Message
Example :
string
detail_message
required
Detail Message
Example :
string
error_code
required
Error Code
Example :
string

2.2.6 - CloudMLClusterCheckReleasableResponse

NameDescriptionSchemaDefault
exceptions
optional
Exceptions
array[CloudMLClusterCheckReleasableException]
result
optional
Result
Example : True
booleanTrue

2.2.7 - CloudMLClusterEstimateResponse

NameDescriptionSchemaDefault
analytics
required
Analytics Estimate
AnalyticsEstimateResponse
application
required
Application Estimate
ApplicationEstimateResponse
copilot
optional
Copilot Estimate
AnalyticsEstimateResponse

2.2.8 - CloudMLClusterProductsResponse

NameDescriptionSchemaDefault
cloud_ml
optional
Cloud ML
CloudMLProductResponse
cloud_ml_common
optional
Cloud ML Common
CloudMLCommonResponse

2.2.9 - CloudMLCommonResponse

NameDescriptionSchemaDefault
cloud_ml_common_id
required
Cloud ML Common Id
Example : 10a599e031e749b7b260868f441e862b
string
cloud_ml_common_state
required
Cloud ML Common State
Example : DEPLOYED
string
cluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
string
created_by
required
Created By
Example : 10a599e031e749b7b260868f441e862b
string
created_dt
required
Created Datetime
Example : 2024-05-17T00:23:17Z
string (date-time)
custom_registry_access_key
required
Custom Registry Access Key
Example : aiml-test
string
custom_registry_host
required
Custom Registry Host
Example : aiml-test
string
custom_registry_project_id
required
Custom Registry Access Project ID
Example : aiml-test
any of [string, null]
custom_registry_region
required
Custom Registry Access Region
Example : aiml-test
any of [string, null]
domain_name
required
Domain Name
Example : aiml-test
string
endpoint_type
required
Endpoint Type
Example : private
string
image_id
required
Image ID
Example : 10a599e031e749b7b260868f441e862b
string
image_registry_url
required
image.registry.url
Example :
string
modified_by
required
Modified By
Example : 10a599e031e749b7b260868f441e862b
string
modified_dt
required
Modified Datetime
Example : 2024-05-17T00:23:17Z
string (date-time)
namespace_name
required
Namepsace Name
Example : aiml-test
string
product_group_id
required
Product Group ID
Example : 10a599e031e749b7b260868f441e862b
any of [string, null]
project_id
required
Project ID
Example : 10a599e031e749b7b260868f441e862b
string
request_id
required
Request ID
Example : 10a599e031e749b7b260868f441e862b
string
resource_limit_text
required
Resource Limit Text
Example : aiml-test
string
resource_request_text
required
Resource Request Text
Example : aiml-test
string
storage_class_name
required
Storage Class Name
Example : aiml-test
string

2.2.10 - CloudMLDetailResponse

NameDescriptionSchemaDefault
cloud_ml_id
required
Cloud ML Id
Example : 10a599e031e749b7b260868f441e862b
string
cloud_ml_name
required
Cloud ML Name
Example : aiml-test
string
cloud_ml_state
required
Cloud ML State
Example : DEPLOYED
string
cluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
string
cluster_name
optional
Cluster Name
Example : cluster-test
any of [string, null]
cluster_permission
optional
Cluster Permission
Example :
any of [object, null]
cluster_request_failed
optional
Cluster Request Fail
Example : False
any of [boolean, null]
copilot_enabled
required
Copilot Enable
Example : False
boolean
created_by
required
Created By
Example : 10a599e031e749b7b260868f441e862b
string
created_dt
required
Created Datetime
Example : 2024-05-17T00:23:17Z
string (date-time)
custom_registry_access_key
required
Custom Registry Access Key
Example : aiml-test
string
custom_registry_host
required
Custom Registry Host
Example : aiml-test
string
description
required
Description
Example : aiml-test
any of [string, null]
display_version
required
Display Version
Example : 22.04
string
domain_name
required
Domain Name
Example : aiml-test
string
endpoint_ip_address
optional
Endpoint Ip Address
Example : aiml-test
any of [string, null]
endpoint_type
required
Endpoint Type
Example : private
string
image_id
required
Image ID
Example : 10a599e031e749b7b260868f441e862b
string
image_name
required
Image Name
Example : aiml-test
string
modified_by
required
Modified By
Example : 10a599e031e749b7b260868f441e862b
string
modified_dt
required
Modified Datetime
Example : 2024-05-17T00:23:17Z
string (date-time)
namespace_name
required
Namepsace Name
Example : aiml-test
string
product_group_id
required
Product Group ID
Example : 10a599e031e749b7b260868f441e862b
any of [string, null]
project_id
required
Project ID
Example : 10a599e031e749b7b260868f441e862b
string
request_id
required
Request ID
Example : 10a599e031e749b7b260868f441e862b
string
resource_limit_text
required
Resource Limit Text
Example : aiml-test
string
resource_request_text
required
Resource Request Text
Example : aiml-test
string
storage_class_name
required
Storage Class Name
Example : aiml-test
string

2.2.11 - CloudMLExceptionDetailResponse

NameDescriptionSchemaDefault
code
required
code
Example :
string
detail
required
detail
Example :
string
global_request_id
required
Global Request Id
Example :
string
links
required
Links
array[string]
related_resources
required
Related Resources
array[string]
request_id
required
Request Id
Example :
string
status
required
Status
Example :
integer
title
required
Title
Example :
string

2.2.12 - CloudMLExceptionResponse

NameDescriptionSchemaDefault
errors
optional

array[CloudMLExceptionDetailResponse]

2.2.13 - CloudMLProductResponse

NameDescriptionSchemaDefault
cloud_ml_id
required
Cloud ML Id
Example : 10a599e031e749b7b260868f441e862b
string
cloud_ml_state
required
Cloud ML State
Example : DEPLOYED
string
cluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
string
copilot_enabled
required
Copilot Enable
Example : False
boolean
created_by
required
Created By
Example : 10a599e031e749b7b260868f441e862b
string
created_dt
required
Created Datetime
Example : 2024-05-17T00:23:17Z
string (date-time)
custom_registry_access_key
required
Custom Registry Access Key
Example : aiml-test
string
custom_registry_host
required
Custom Registry Host
Example : aiml-test
string
description
required
Description
Example : aiml-test
any of [string, null]
display_version
required
Display Version
Example : 22.04
string
domain_name
required
Domain Name
Example : aiml-test
string
endpoint_type
required
Endpoint Type
Example : private
string
image_id
required
Image ID
Example : 10a599e031e749b7b260868f441e862b
string
image_name
required
Image Name
Example : aiml-test
string
modified_by
required
Modified By
Example : 10a599e031e749b7b260868f441e862b
string
modified_dt
required
Modified Datetime
Example : 2024-05-17T00:23:17Z
string (date-time)
namespace_name
required
Namepsace Name
Example : aiml-test
string
product_group_id
required
Product Group ID
Example : 10a599e031e749b7b260868f441e862b
any of [string, null]
project_id
required
Project ID
Example : 10a599e031e749b7b260868f441e862b
string
request_id
required
Request ID
Example : 10a599e031e749b7b260868f441e862b
string
resource_limit_text
required
Resource Limit Text
Example : aiml-test
string
resource_request_text
required
Resource Request Text
Example : aiml-test
string
storage_class_name
required
Storage Class Name
Example : aiml-test
string

2.2.14 - CloudMLRequest

NameDescriptionSchemaDefault
analytics_resource
required
Analytics Resource
Example : {'cpu': 0, 'gpu': '', 'memory': 0}
object
application_resource
required
Application Resource
Example : {'cpu': 0, 'memory': 0}
object
cloud_ml_name
required
Cloud ML Name
Example : aiml-test
string
cluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
string
copilot
optional
Copilot
Example : {'cpu': 0, 'gpu': '', 'memory': 0}
object
custom_registry_access_key
required
Custom Registry Access Key
Example : 10a599e031e749b7b260868f441e862b
string
custom_registry_access_project_id
optional
Custom Registry Access Project ID
Example : 10a599e031e749b7b260868f441e862b
any of [string, null]
custom_registry_access_region
optional
Custom Registry Access Region
Example : 10a599e031e749b7b260868f441e862b
any of [string, null]
custom_registry_access_secret_key
required
Custom Registry Access Secret Key
Example : 10a599e031e749b7b260868f441e862b
string
custom_registry_host
required
Custom Registry Host
Example : 10a599e031e749b7b260868f441e862b
string
description
optional
Description
Example : 147@53A69a
string
domain_name
required
Domain Name
Example : 147@53A69a
string
endpoint_type
required
Endpoint Type
Example : 147@53A69a
string
image_id
required
Image ID
Example : 10a599e031e749b7b260868f441e862b
string
product_group_id
optional
Product Group ID
Example : 10a599e031e749b7b260868f441e862b
string
tags
optional
Tags
array[object]
use_copilot
optional
Use Copilot
Example : True
boolean

2.2.15 - CloudMLUpdateRequest

NameDescriptionSchemaDefault
description
required
Description
Example : 147@53A69a
string

2.2.16 - ImageAttr

NameDescriptionSchemaDefault
copilot_enabled
required
Copilot Enabled
Example :
string
display_version
required
Display Version
Example :
string
image_id
required
Image ID
Example :
string
image_name
required
Image Name
Example :
string
k8s_version
required
K8s Version
Example :
any of [string, null]

2.2.17 - ImageVersionsResponse

NameDescriptionSchemaDefault
contents
required
contents
array[ImageAttr]
total_count
required
total_count
Example :
integer